3 Replies Latest reply on Nov 27, 2012 10:21 AM by Keith Babo

    Can the quickstarts be (easily) implorted and run in eclispe?

    Len DiMaggio Apprentice

      I tried importing one of the 0.6 quickstarts (bean services) into eclipse 4.2.0 (with JBossTools and the SwitchYard tooling) - but these errors are raised on the project's switchyard.xml file:

       

      cvc-complex-type.2.4.a: Invalid content was found starting with element 'implementation.bean'. One of '{"http://docs.oasis-open.org/ns/opencsa/sca/200912":documentation, "http://docs.oasis-open.org/ns/opencsa/sca/200912":implementation}' is expected.

       

      cvc-complex-type.2.4.a: Invalid content was found starting with element 'interface.java'. One of '{"http://docs.oasis-open.org/ns/opencsa/sca/200912":documentation, "http://docs.oasis-open.org/ns/opencsa/sca/200912":interface, "http://docs.oasis-open.org/ns/opencsa/sca/200912":binding, "http://docs.oasis-open.org/ns/opencsa/sca/200912":callback, "http://docs.oasis-open.org/ns/opencsa/sca/200912":requires, "http://docs.oasis-open.org/ns/opencsa/sca/200912":policySetAttachment, "http://docs.oasis-open.org/ns/opencsa/sca/200912":extensions}' is expected.

       

      Is this a parsing error? Can you suggest how I can resolve this and still run the quickstart from inside Eclipse? Thanks!